mediastreamer2 2.11.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
_IceCandidatePair Struct Reference

`#include <ice.h>`

Collaboration diagram for _IceCandidatePair:
[legend]

## Data Fields
IceCandidate * | local
IceCandidate * | remote
IceCandidatePairState | state
uint64_t | priority
MSTimeSpec | transmission_time
uint32_t | rto
uint8_t | retransmissions
IceRole | role
bool_t | is_default
bool_t | use_candidate
bool_t | is_nominated
bool_t | wait_transaction_timeout
bool_t | use_dummy_hmac

## Detailed Description

Structure representing an ICE candidate pair.

## Field Documentation

IceCandidate* _IceCandidatePair::local

Pointer to the local candidate of the pair

IceCandidate* _IceCandidatePair::remote

Pointer to the remote candidate of the pair

IceCandidatePairState _IceCandidatePair::state

State of the candidate pair

uint64_t _IceCandidatePair::priority

Priority of the candidate pair

MSTimeSpec _IceCandidatePair::transmission_time

Time when the connectivity check for the candidate pair has been sent

uint32_t _IceCandidatePair::rto

Duration of the retransmit timer for the connectivity check sent for the candidate pair in ms

uint8_t _IceCandidatePair::retransmissions

Number of retransmissions for the connectivity check sent for the candidate pair

IceRole _IceCandidatePair::role

Role of the agent when the connectivity check has been sent for the candidate pair

bool_t _IceCandidatePair::is_default

Boolean value telling whether this candidate pair is a default candidate pair or not

bool_t _IceCandidatePair::use_candidate

Boolean value telling if the USE-CANDIDATE attribute must be set for the connectivity checks send for the candidate pair

bool_t _IceCandidatePair::is_nominated

Boolean value telling whether this candidate pair is nominated or not

bool_t _IceCandidatePair::wait_transaction_timeout

Boolean value telling to create a new binding request on retransmission timeout

bool_t _IceCandidatePair::use_dummy_hmac

use to tell to retry with dummy message integrity. Useful to keep backward compatibility with older version

The documentation for this struct was generated from the following file:

- ice.h